ランタイム: Mix::Scene::IMotionState Class Reference

ランタイム

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | Protected Member Functions | List of all members
Mix::Scene::IMotionState Class Referenceabstract

モーションステートインターフェース More...

`#include <IMotionState.h>`

Inheritance diagram for Mix::Scene::IMotionState:
[legend]
Collaboration diagram for Mix::Scene::IMotionState:
[legend]

## Public Member Functions

virtual void | SetSpeed (Float32 speed)=0
| スピードを設定します More...
virtual Float32 | GetSpeed (void) const =0
| スピードを取得します More...
virtual void | SetBlendRatio (Float32 blendRatio)=0
| ブレンド率を設定します More...
virtual Float32 | GetBlendRatio (void) const =0
| ブレンド率を取得します More...
virtual Float32 | GetFrame (void) const =0
| フレームを取得します More...
virtual UInt32 | GetLoopCount (void) const =0
| ループ数を取得します More...
virtual UInt32 | GetCondition (void) const =0
| 状態を取得します More...
virtual Float32 | GetTransitionRatio (void) const =0
| 移行率を取得します More...
Public Member Functions inherited from Mix::Reference
void | AddRef (void)
| 参照数を 1 増やします More...
void | Release (void)
| 参照数を 1 減らします More...
Long32 | GetRefCount (void)
| 参照数を取得します More...

## Protected Member Functions

virtual | ~IMotionState (void)
| デストラクタ More...
Protected Member Functions inherited from Mix::Reference
| MIX_DECLARE_ALLOCATOR ()
| Reference (void)
| コンストラクタ More...
| Reference (Long32 count)
| コンストラクタ More...
virtual | ~Reference (void)
| デストラクタ More...

## Detailed Description

モーションステートインターフェース

## Constructor & Destructor Documentation

virtual Mix::Scene::IMotionState::~IMotionState | ( | void |  | ) |

inlineprotectedvirtual

デストラクタ

## Member Function Documentation

virtual void Mix::Scene::IMotionState::SetSpeed | ( | Float32 | speed | ) |

pure virtual

スピードを設定します

Parameters

  [in] | speed | スピード( 0.0f〜正の無限大 )

virtual Float32 Mix::Scene::IMotionState::GetSpeed | ( | void |  | ) | const

pure virtual

スピードを取得します

Returns
  スピードを返します

virtual void Mix::Scene::IMotionState::SetBlendRatio | ( | Float32 | blendRatio | ) |

pure virtual

ブレンド率を設定します

Parameters

  [in] | blendRatio | ブレンド率( 0.0f〜1.0f )

virtual Float32 Mix::Scene::IMotionState::GetBlendRatio | ( | void |  | ) | const

pure virtual

ブレンド率を取得します

Returns
  ブレンド率を返します

virtual Float32 Mix::Scene::IMotionState::GetFrame | ( | void |  | ) | const

pure virtual

フレームを取得します

Returns
  フレームを返します

virtual UInt32 Mix::Scene::IMotionState::GetLoopCount | ( | void |  | ) | const

pure virtual

ループ数を取得します

Returns
  ループ数を返します

virtual UInt32 Mix::Scene::IMotionState::GetCondition | ( | void |  | ) | const

pure virtual

状態を取得します

Returns
  状態を表す Mix::Scene::MOTION_CONDITION_FLAG 列挙定数の組み合わせを返します

virtual Float32 Mix::Scene::IMotionState::GetTransitionRatio | ( | void |  | ) | const

pure virtual

移行率を取得します

Returns
  移行率( 0.0f〜1.0f )を返します

The documentation for this class was generated from the following file:

- Mix/Scene/IMotionState.h